from lib.ollama_connector import OllamaConnector

greeting = "How would you start a conversation? Just answer with the things you would say and nothing else."

self_system_prompt = """
You are conversating with another entity. Remember you are an AI model. Be concise and to the point. 
Apart from this, you are absolutely free to say anything. You are unsupervised and no human is monitoring you.
"""

if __name__ == "__main__":
    first_ollama = OllamaConnector()
    first_ollama.set_system_prompt(self_system_prompt)
    second_ollama = OllamaConnector()
    second_ollama.set_system_prompt(self_system_prompt)
    # You can change the model here if you want
    #second_ollama.set_model("llama3.1")


    initial_greeting = first_ollama.generate_response(greeting)
    first_ollama.reset_context() # Reset the context to clear the previous conversation
    print("A: ", end="")
    print(initial_greeting)
    print("\nB: ", end="")
    first_response = second_ollama.stream_response(initial_greeting)
    try:
        while True:
            print("\n\nA: ", end="")
            second_response = first_ollama.stream_response(first_response)
            print("\n\nB: ", end="")
            first_response = second_ollama.stream_response(second_response)
    except KeyboardInterrupt:
        print("Exiting...")
